1.1

1.1

get /v1/queues/{queue_id}/attributes

Description

Queue 속성 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathqueue_id
required
Queue ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
queryattributes
required
Queue 속성
Example : All
stringNone
queryname
required
Queue명
Example : test-queue.fifo
stringNone

Responses

HTTP CodeDescriptionSchema
200OKGetAttributesResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/queues/{queue_id}/attributes?attributes={attributes}&name={name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = queueservice 1.1"

Example HTTP response

Response 200

{
    "attributes": {
        "approximate_number_of_messages": 10,
        "created_at": "2025-05-22T06:21:17.580522",
        "data_key_reuse_period": 40,
        "message_retention_period": 40,
        "message_size": 256,
        "modified_at": "2025-05-22T06:21:17.580522",
        "queue_srn": "srn:dev2::8c9f6c1c928a45b4bbd1e4da5531d656:kr-west1:queueservice:queue/8c9f6c1c928a45b4bbd1e4da5531d656",
        "type": "FIFO"
    },
    "queue_url": "https://queueservice.kr-west1.dev2.samsungsdscloud.com/8c9f6c1c928a45b4bbd1e4da5531d656/queue"
}